Package com.complexible.stardog.db

# Enum Class DatabaseOptions.LanguageNormalization

java.lang.Object
java.lang.Enum<DatabaseOptions.LanguageNormalization>
com.complexible.stardog.db.DatabaseOptions.LanguageNormalization

All Implemented Interfaces:
  `Serializable`, `Comparable<DatabaseOptions.LanguageNormalization>`, `Constable`

Enclosing class:
  `DatabaseOptions`

public static enum DatabaseOptions.LanguageNormalization extends Enum<DatabaseOptions.LanguageNormalization>
Different types of datatype normalization algorithms supported by Stardog.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BCP47`
  Language tag format defined by BCP47, which is referenced by the RDF-1.1 specification.
  `DEFAULT`
  Default normalization algorithm which uses BCP47 for validation but normalizes the language tag to lowercase
  `RFC3066`
  Language tag format defined by RFC3066, which is referenced by the RDF-1.0 specification.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LanguageHandler`
  `handler()`
  `static DatabaseOptions.LanguageNormalization`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DatabaseOptions.LanguageNormalization[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final DatabaseOptions.LanguageNormalization DEFAULT
    Default normalization algorithm which uses BCP47 for validation but normalizes the language tag to lowercase

  - ### RFC3066

    public static final DatabaseOptions.LanguageNormalization RFC3066
    Language tag format defined by RFC3066, which is referenced by the RDF-1.0 specification.

  - ### BCP47

    public static final DatabaseOptions.LanguageNormalization BCP47
    Language tag format defined by BCP47, which is referenced by the RDF-1.1 specification. Choosing this option will require validation of language tags even if `strict parsing` is off.

- ## Method Details

  - ### values

    public static DatabaseOptions.LanguageNormalization[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DatabaseOptions.LanguageNormalization valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### handler

    public LanguageHandler handler()